#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF9,0x27,0x35,0xA7,0xC9,0xFC,0x30,0xA7,0x5A,0xC6,0x58,0x1C,
		0x57,0xFF,0x7C,0x06,0xF1,0x3A,0x11,0xB5,0x2C,0x73,0xB4,0x8D,
		0x90,0x2E,0xBC,0xEB,0xB3,0xEB,0x1A,0xF4,0xAD,0x74,0xEA,0x3A,
		0xAC,0xD0,0x5F,0xBB,0xB4,0xA2,0x9B,0x9F,0xBC,0x7B,0xC3,0xAD,
		0x78,0x25,0x42,0x02,0xC5,0xCC,0x7F,0xB6,0x0A,0xF6,0x85,0x9F,
		0x82,0x27,0x81,0x8F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
